NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::XformCollection Class Reference

Represents a collection of NXOpen::Xform objects. More...

Inheritance diagram for NXOpen::XformCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element. More...
 
NXOpen::XformCreateExtractXform (NXOpen::NXObject *object, NXOpen::SmartObject::UpdateOption updateOption, bool forceXformCreation, NXOpen::NXObject **proto)
 Creates a extract Xform based on object. More...
 
NXOpen::XformCreateXform (const NXOpen::Point3d &origin, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection, NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates a Xform without parameters. More...
 
NXOpen::XformCreateXform (const NXOpen::Point3d &origin, const NXOpen::Matrix3x3 &orientation, NXOpen::SmartObject::UpdateOption update, double scale)
 Creates an Xform. More...
 
NXOpen::XformCreateXform (NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates a Xform that based off the model space coordinate system. More...
 
NXOpen::XformCreateXform (NXOpen::Point *point1, NXOpen::Point *point2, NXOpen::Point *point3, NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Create a Xform based on three points. More...
 
NXOpen::XformCreateXform (NXOpen::DisplayableObject *plane1, NXOpen::DisplayableObject *plane2, NXOpen::DisplayableObject *plane3, NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates a Xform by three planes. More...
 
NXOpen::XformCreateXform (NXOpen::CoordinateSystem *csys, NXOpen::Point *point0, NXOpen::Point *point1, NXOpen::Scalar *rotationScalarX, NXOpen::Scalar *rotationScalarY, NXOpen::Scalar *rotationScalarZ, int rotationOption, NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates a Xform by picking up a point from an existing coordinate system. More...
 
NXOpen::XformCreateXform (NXOpen::CoordinateSystem *csys, NXOpen::Offset *point0, NXOpen::Offset *point1, NXOpen::Scalar *rotationScalarX, NXOpen::Scalar *rotationScalarY, NXOpen::Scalar *rotationScalarZ, int rotationOption, NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates a Xform by offsetting an existing coordinate system through a translation and a rotation. More...
 
NXOpen::XformCreateXform (NXOpen::Point *origin, NXOpen::Direction *xDirection, NXOpen::Direction *yDirection, NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates a Xform based on a point and two vectors. More...
 
NXOpen::XformCreateXform (NXOpen::Direction *xDirection, NXOpen::Direction *yDirection, NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates a Xform based on two vectors. More...
 
NXOpen::XformCreateXform (NXOpen::DisplayableObject *plane, NXOpen::Direction *axis, NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates a Xform based on a plane and a vector. More...
 
NXOpen::XformCreateXform (NXOpen::Point *xPoint, NXOpen::Axis *zAxis, NXOpen::SmartObject::UpdateOption updateOption)
 Creates an Xform using a Z axis and X point The X-Axis is the vector from the Z-Axis vector to the point; the Y-Axis is computed from the X and Z axis; the origin is the intersection of the three vectors. More...
 
NXOpen::XformCreateXform (NXOpen::Point *point, NXOpen::Point *helperPoint, NXOpen::ICurve *curve, NXOpen::SmartObject::UpdateOption updateOption)
 Creates an Xform through a point and perpendicular to a curve or edge. More...
 
NXOpen::XformCreateXform (NXOpen::Assemblies::Component *workOcc, NXOpen::Assemblies::Component *contextObject, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Xform in the context of given NXOpen::Assemblies::Component . More...
 
NXOpen::XformCreateXform (NXOpen::NXObject *object, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Xform from the Xform of a a selected curve, plane, or drafting object. More...
 
NXOpen::XformCreateXform (NXOpen::NXObject *object, NXOpen::Assemblies::Explosion *explosion, NXOpen::SmartObject::UpdateOption updateOption)
 Creates an Xform based on an object and an explosion. More...
 
NXOpen::XformCreateXform (NXOpen::Assemblies::Explosion *explosion, NXOpen::Assemblies::Component *sourceComponent, NXOpen::Assemblies::Component *destComponent, NXOpen::SmartObject::UpdateOption updateOption)
 Creates an Xform based on the delta difference between the source and destination components in the explosion. More...
 
NXOpen::XformCreateXform (NXOpen::Point *origin, NXOpen::XYZAxis axis, NXOpen::Direction *direction, NXOpen::Scalar *scale, NXOpen::SmartObject::UpdateOption updateOption)
 Creates an Xform based on origin and a direction. More...
 
NXOpen::XformCreateXformAngleAxis (NXOpen::Axis *axis, NXOpen::Expression *angle, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Motion Xform based on the axis and angle. More...
 
NXOpen::XformCreateXformAxisVector (NXOpen::Axis *axis, NXOpen::Direction *vector, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Motion Xform based on a axis and vector. More...
 
NXOpen::XformCreateXformByDynamicOffset (NXOpen::CoordinateSystem *csys, const NXOpen::Vector3d &originOffset, const NXOpen::Matrix3x3 &trasformMatrix, NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates an Xform whose location and orientation are determined by applying a specified origin offset and transformation matrix to an existing coordinate system. More...
 
NXOpen::XformCreateXformByPlaneXDirPoint (NXOpen::DisplayableObject *plane, NXOpen::Direction *xDirection, NXOpen::Point *point, NXOpen::SmartObject::UpdateOption updateOption, double scale, bool flipXDirection, bool flipZDirection)
 Creates a Xform based on a planar face or datum plane, a X-axis vector direction, and a point. More...
 
NXOpen::XformCreateXformByPointXDirZDir (NXOpen::Point *origin, NXOpen::Direction *xDirection, NXOpen::Direction *zDirection, NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates an Xform based on a point and two vectors. More...
 
NXOpen::XformCreateXformByPointYDirZDir (NXOpen::Point *origin, NXOpen::Direction *yDirection, NXOpen::Direction *zDirection, NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates an Xform based on a point and two vectors. More...
 
NXOpen::XformCreateXformCsysToCsys (NXOpen::CoordinateSystem *from, NXOpen::CoordinateSystem *to, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Motion Xform based on two csys. More...
 
NXOpen::XformCreateXformDeltaXyz (const std::vector< NXOpen::Scalar * > &delta, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Motion Xform based on delta x, y, and z values where the x, y, and z directions are relative to a reference coordinate system. More...
 
NXOpen::XformCreateXformDistanceAngle (NXOpen::Expression *distance, NXOpen::Expression *angle, NXOpen::Axis *dirr, NXOpen::Direction *angulardirr, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Motion Xform based on the distance and angle on object. More...
 
NXOpen::XformCreateXformDistanceBetweenPoints (NXOpen::Point *origin, NXOpen::Point *measure, NXOpen::Direction *vector, NXOpen::Expression *distance, NXOpen::Expression *originDistance, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Motion Xform based on the direction and points. More...
 
NXOpen::XformCreateXformDistanceDirection (NXOpen::Direction *direction, NXOpen::Expression *distance, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Motion Xform based on the direction and distance. More...
 
NXOpen::XformCreateXformDistanceRadial (NXOpen::Axis *axis, NXOpen::Point *point, NXOpen::Expression *distance, NXOpen::Expression *originDistance, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Motion Xform based on the axis and points. More...
 
NXOpen::XformCreateXformDynamic (const std::vector< NXOpen::Scalar * > &org, const std::vector< NXOpen::Scalar * > &mtx, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Motion Xform based on the manip. More...
 
NXOpen::XformCreateXformFromCurrentView (NXOpen::SmartObject::UpdateOption updateOption, double scale)
 Creates an XForm using the current viewing coordinate system. More...
 
NXOpen::XformCreateXformRotateThreePoints (NXOpen::Axis *vector, NXOpen::Point *start, NXOpen::Point *end, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Motion Xform based on the three points and vector. More...
 
NXOpen::XformCreateXformTwoPoints (NXOpen::Point *from, NXOpen::Point *to, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Motion Xform based on two points. More...
 
NXOpen::XformCreateXformWithReverseNormal (NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption updateOption)
 Creates an Xform based on the delta difference between the source and destination components in the explosion. More...
 
NXOpen::XformCreateXformWithView (NXOpen::View *view, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Xform with an existing view. More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen::Xform objects.

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen::Xform is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed. Condemned objects will be deleted when their references go away.
To obtain an instance of this class, refer to NXOpen::BasePart

Created in NX3.0.0.

Member Function Documentation

iterator NXOpen::XformCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::Xform* NXOpen::XformCollection::CreateExtractXform ( NXOpen::NXObject object,
NXOpen::SmartObject::UpdateOption  updateOption,
bool  forceXformCreation,
NXOpen::NXObject **  proto 
)

Creates a extract Xform based on object.

Returns
Xform
Created in NX5.0.0.

License requirements : None
Parameters
objectNX object
updateOptionUpdate option of smart object
forceXformCreationForce the interpart xform to be created
protoPrototype of the object being extracted
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( const NXOpen::Point3d origin,
const NXOpen::Vector3d xDirection,
const NXOpen::Vector3d yDirection,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates a Xform without parameters.

Returns

Created in NX3.0.0.

License requirements : None
Parameters
originOrigin point
xDirectionX direction
yDirectionY direction
updateOptionupdate option
scalescale
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( const NXOpen::Point3d origin,
const NXOpen::Matrix3x3 orientation,
NXOpen::SmartObject::UpdateOption  update,
double  scale 
)

Creates an Xform.

Returns

Created in NX5.0.1.

License requirements : None
Parameters
originOrigin point
orientationOrientation
updateThe update option
scaleScale
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates a Xform that based off the model space coordinate system.

The X and Y Axes are the X and Y Axes of the absolute transform. The origin is the origin of the absolute transform.

Returns

Created in NX3.0.0.

License requirements : None
Parameters
updateOptionupdate option
scalescale
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::Point point1,
NXOpen::Point point2,
NXOpen::Point point3,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Create a Xform based on three points.

The origin is the first point, the X-Axis is the vector from the first to the second point, and the Y-Axis is the vector from the first to the third point.

Returns

Created in NX3.0.0.

License requirements : None
Parameters
point1point1
point2point2
point3point3
updateOptionupdate option
scalescale
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::DisplayableObject plane1,
NXOpen::DisplayableObject plane2,
NXOpen::DisplayableObject plane3,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates a Xform by three planes.

Defines a xform based on the input of three planes. These can be either planar faces or datum planes. The X-Axis is normal of the first plane, the Y-Axis is normal of the second plane, the origin is the intersection of the three plane. The plane can either be a planar NXOpen::Face or a NXOpen::DatumPlane .

Returns

Created in NX3.0.0.

License requirements : None
Parameters
plane1plane1
plane2plane2
plane3plane3
updateOptionupdate option
scalescale
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::CoordinateSystem csys,
NXOpen::Point point0,
NXOpen::Point point1,
NXOpen::Scalar rotationScalarX,
NXOpen::Scalar rotationScalarY,
NXOpen::Scalar rotationScalarZ,
int  rotationOption,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates a Xform by picking up a point from an existing coordinate system.

Returns
Xform
Created in NX4.0.0.

License requirements : None
Parameters
csysExisting coordinate system
point0Start point
point1End point
rotationScalarXScalar of X rotation
rotationScalarYScalar of Y rotation
rotationScalarZScalar of Z rotation
rotationOptionDetermine the sequence of applying rotation and translation. If the value is 0, then a translation is first applied. Otherwise, a roation is first applied.
updateOptionUpdate option of smart object
scaleXform scalar
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::CoordinateSystem csys,
NXOpen::Offset point0,
NXOpen::Offset point1,
NXOpen::Scalar rotationScalarX,
NXOpen::Scalar rotationScalarY,
NXOpen::Scalar rotationScalarZ,
int  rotationOption,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates a Xform by offsetting an existing coordinate system through a translation and a rotation.

Returns
Xform
Created in NX4.0.0.

License requirements : None
Parameters
csysExisting coordinate system
point0Start point
point1End point
rotationScalarXScalar of X rotation
rotationScalarYScalar of Y rotation
rotationScalarZScalar of Z rotation
rotationOptionDetermine the sequence of applying rotation and translation. If the value is 0, then a translation is first applied. Otherwise, a roation is first applied.
updateOptionUpdate option of smart object
scaleXform scalar
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::Point origin,
NXOpen::Direction xDirection,
NXOpen::Direction yDirection,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates a Xform based on a point and two vectors.

The X and Y Axes are the vectors.

Returns

Created in NX3.0.0.

License requirements : None
Parameters
originorigin
xDirectionx direction
yDirectiony direction
updateOptionupdate option
scalescale
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::Direction xDirection,
NXOpen::Direction yDirection,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates a Xform based on two vectors.

The X and Y Axes are vectors, with the origin being the vector intersection point.

Returns

Created in NX3.0.0.

License requirements : None
Parameters
xDirectionx direction
yDirectiony direction
updateOptionupdate option
scalescale
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::DisplayableObject plane,
NXOpen::Direction axis,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates a Xform based on a plane and a vector.

The X-Axis is the plane normal direction, the Y-Axis is the direction of the projection of the vector onto the plane, and the origin is the intersection of the plane and the vector. The plane can either be a planar NXOpen::Face or a NXOpen::DatumPlane .

Returns

Created in NX3.0.0.

License requirements : None
Parameters
planeplane
axisaxis
updateOptionupdate option
scalescale
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::Point xPoint,
NXOpen::Axis zAxis,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates an Xform using a Z axis and X point The X-Axis is the vector from the Z-Axis vector to the point; the Y-Axis is computed from the X and Z axis; the origin is the intersection of the three vectors.

Returns

Created in NX5.0.0.

License requirements : None
Parameters
xPointx point
zAxisz axis
updateOptionupdate option
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::Point point,
NXOpen::Point helperPoint,
NXOpen::ICurve curve,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates an Xform through a point and perpendicular to a curve or edge.

The Z-axis is tangent to the curve or edge, and the X-Y plane goes through the point. When you select a linear curve, the X-Axis is a perpendicular vector from the curve to the point. When you select a non-linear curve, the X-Axis points in an arbitrary orientation and not towards the selected point.

Returns

Created in NX5.0.0.

License requirements : None
Parameters
pointThe X-Y plane will go through this point
helperPointhelper point
curveThe Z-axis will be tangent to the curve
updateOptionupdate option
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::Assemblies::Component workOcc,
NXOpen::Assemblies::Component contextObject,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Xform in the context of given NXOpen::Assemblies::Component .

Returns

Created in NX5.0.0.

License requirements : None
Parameters
workOccwork occ
contextObjectcontext object
updateOptionupdate option
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::NXObject object,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Xform from the Xform of a a selected curve, plane, or drafting object.

If the selected curve is non-planar an error will be thrown. If the curve is arc, ellipse, hyperbola, parabola, or circle, the origin will be at the respective curve's center. If the object is planar face or a datum plane, the Z-axis is the normal vector of the plane.

Returns

Created in NX5.0.0.

License requirements : None
Parameters
objectObject from which XForm creates
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::NXObject object,
NXOpen::Assemblies::Explosion explosion,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates an Xform based on an object and an explosion.

Returns
Xform
Created in NX4.0.0.

License requirements : None
Parameters
objectNX object
explosionExplosion
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::Assemblies::Explosion explosion,
NXOpen::Assemblies::Component sourceComponent,
NXOpen::Assemblies::Component destComponent,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates an Xform based on the delta difference between the source and destination components in the explosion.

Returns
Xform
Created in NX4.0.0.

License requirements : None
Parameters
explosionExplosion
sourceComponentSource component
destComponentDestination component
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXform ( NXOpen::Point origin,
NXOpen::XYZAxis  axis,
NXOpen::Direction direction,
NXOpen::Scalar scale,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates an Xform based on origin and a direction.

The direction passed is taken as the X, Y or Z axis based on the NXOpen::XYZAxis passed. The other two directions are evaluated from the cross product to a non-parallel global axis (global X, Y or Z)

Returns

Created in NX5.0.0.

License requirements : None
Parameters
originorigin of the Xform
axisspecifies whether the direction passed is X, Y or Z of the Xform
directionspecifies X direction
scalescalar factor
updateOptionupdate option to be used after creating the Xform
NXOpen::Xform* NXOpen::XformCollection::CreateXformAngleAxis ( NXOpen::Axis axis,
NXOpen::Expression angle,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Motion Xform based on the axis and angle.

Returns
Xform
Created in NX6.0.0.

License requirements : None
Parameters
axisangular axis
angleangle
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformAxisVector ( NXOpen::Axis axis,
NXOpen::Direction vector,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Motion Xform based on a axis and vector.

Returns
Xform
Created in NX6.0.0.

License requirements : None
Parameters
axisaxis of AxisToVectorParms xfrom
vectorvector of AxisToVectorParms xform
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformByDynamicOffset ( NXOpen::CoordinateSystem csys,
const NXOpen::Vector3d originOffset,
const NXOpen::Matrix3x3 trasformMatrix,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates an Xform whose location and orientation are determined by applying a specified origin offset and transformation matrix to an existing coordinate system.

Returns
created Xform
Created in NX6.0.0.

License requirements : None
Parameters
csysExisting coordinate system
originOffsetOffset for coordinate system origin
trasformMatrixTransformation matrix for coordinate system orientation
updateOptionUpdate option of smart object
scaleScale factor
NXOpen::Xform* NXOpen::XformCollection::CreateXformByPlaneXDirPoint ( NXOpen::DisplayableObject plane,
NXOpen::Direction xDirection,
NXOpen::Point point,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale,
bool  flipXDirection,
bool  flipZDirection 
)

Creates a Xform based on a planar face or datum plane, a X-axis vector direction, and a point.

Returns
created Xform
Created in NX7.5.0.

License requirements : None
Parameters
planeplanar face or datum plane
xDirectionx vector direction
pointpoint
updateOptionUpdate option of smart object
scaleScale factor
flipXDirectionflag to flip the X direction of CSYS
flipZDirectionflag to flip the Z direction of CSYS
NXOpen::Xform* NXOpen::XformCollection::CreateXformByPointXDirZDir ( NXOpen::Point origin,
NXOpen::Direction xDirection,
NXOpen::Direction zDirection,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates an Xform based on a point and two vectors.

The X and Z Axes are the vectors.

Returns
created Xform
Created in NX6.0.0.

License requirements : None
Parameters
originpoint
xDirectionx vector
zDirectionz vector
updateOptionUpdate option of smart object
scaleScale factor
NXOpen::Xform* NXOpen::XformCollection::CreateXformByPointYDirZDir ( NXOpen::Point origin,
NXOpen::Direction yDirection,
NXOpen::Direction zDirection,
NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates an Xform based on a point and two vectors.

The Y and Z Axes are the vectors.

Returns
created Xform
Created in NX6.0.0.

License requirements : None
Parameters
originpoint
yDirectiony vector
zDirectionz vector
updateOptionUpdate option of smart object
scaleScale factor
NXOpen::Xform* NXOpen::XformCollection::CreateXformCsysToCsys ( NXOpen::CoordinateSystem from,
NXOpen::CoordinateSystem to,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Motion Xform based on two csys.

Returns
Xform
Created in NX6.0.0.

License requirements : None
Parameters
from"from csys" of CsysToCsysParms xform
to"to csys" where object is moved for of CsysToCsysParms xform
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformDeltaXyz ( const std::vector< NXOpen::Scalar * > &  delta,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Motion Xform based on delta x, y, and z values where the x, y, and z directions are relative to a reference coordinate system.

Returns
Xform
Created in NX7.0.0.

License requirements : None
Parameters
deltadelta xyz values
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformDistanceAngle ( NXOpen::Expression distance,
NXOpen::Expression angle,
NXOpen::Axis dirr,
NXOpen::Direction angulardirr,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Motion Xform based on the distance and angle on object.

Returns
Xform
Created in NX6.0.0.

License requirements : None
Parameters
distancelinear transform
angleangular transform
dirrlinear direction
angulardirrangular direction
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformDistanceBetweenPoints ( NXOpen::Point origin,
NXOpen::Point measure,
NXOpen::Direction vector,
NXOpen::Expression distance,
NXOpen::Expression originDistance,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Motion Xform based on the direction and points.

Returns
Xform
Created in NX6.0.0.

License requirements : None
Parameters
originorigin point of DistanceBetweenPtsParms xform
measuremeasure point of DistanceBetweenPtsParms xform
vectordirection of DistanceBetweenPtsParms xform
distancedistance of DistanceBetweenPtsParms xform
originDistancedistance between origin point and object to be moved
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformDistanceDirection ( NXOpen::Direction direction,
NXOpen::Expression distance,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Motion Xform based on the direction and distance.

Returns
Xform
Created in NX6.0.0.

License requirements : None
Parameters
directiondirection of DistanceDirectionParms xform
distancedistance of DistanceDirectionParms xform
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformDistanceRadial ( NXOpen::Axis axis,
NXOpen::Point point,
NXOpen::Expression distance,
NXOpen::Expression originDistance,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Motion Xform based on the axis and points.

Returns
Xform
Created in NX6.0.0.

License requirements : None
Parameters
axisaxis of DistanceRadialParms xform
pointmeasure point of DistanceRadialParms xfrom
distancedistance of DistanceRadialParms xfrom
originDistancedistance between axis point and face
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformDynamic ( const std::vector< NXOpen::Scalar * > &  org,
const std::vector< NXOpen::Scalar * > &  mtx,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Motion Xform based on the manip.

Returns
Xform
Created in NX6.0.0.

License requirements : None
Parameters
orgorigin point of manipulator
mtxmatrix of manipulator
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformFromCurrentView ( NXOpen::SmartObject::UpdateOption  updateOption,
double  scale 
)

Creates an XForm using the current viewing coordinate system.

The X-Axis is parallel to the bottom of the view, the Y-Axis is parallel to the side of the view, and the origin is the origin of the view (the middle of the graphics screen). The coordinate system uses the right-hand rule so the Z-axis points out of the screen. Since the current viewing coordinate system does not exist if the NX session is running in batch mode, the absolute coordinate system will be returned instead.

Returns

Created in NX4.0.0.

License requirements : None
Parameters
updateOptionupdate option
scalescale
NXOpen::Xform* NXOpen::XformCollection::CreateXformRotateThreePoints ( NXOpen::Axis vector,
NXOpen::Point start,
NXOpen::Point end,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Motion Xform based on the three points and vector.

Returns
Xform
Created in NX6.0.0.

License requirements : None
Parameters
vectoraxis of RotateThreePtsParms xform
startstart point of RotateThreePtsParms xform
endend point of RotateThreePtsParms xform
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformTwoPoints ( NXOpen::Point from,
NXOpen::Point to,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Motion Xform based on two points.

Returns
Xform
Created in NX6.0.0.

License requirements : None
Parameters
fromThe "from point" of TwoPointsParms xform
toThe "to point" of TwoPointsParms xform
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformWithReverseNormal ( NXOpen::Xform xform,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates an Xform based on the delta difference between the source and destination components in the explosion.

Returns
Xform
Created in NX5.0.0.

License requirements : None
Parameters
xformXForm to be reversed normal
updateOptionUpdate option of smart object
NXOpen::Xform* NXOpen::XformCollection::CreateXformWithView ( NXOpen::View view,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Xform with an existing view.

Returns
Xform
Created in NX6.0.0.

License requirements : None
Parameters
viewExisting view
updateOptionUpdate option of smart object
iterator NXOpen::XformCollection::end ( )

Returns an iterator addressing one past the last element.

tag_t NXOpen::XformCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.